Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray
Class PhotonMapRaytracer

    java.lang.Object
      de.grogra.ray.event.ProgressNotifier
          de.grogra.ray.Raytracer
              de.grogra.ray.PhotonMapRaytracer

    public class PhotonMapRaytracer

extends Raytracer

Field Summary

Fields inherited from class de.grogra.ray.Raytracer
`ADAPTIVE_SUPERSAMPLING, BIDIRECTIONAL_PATHTRACING, CALCULATION_TIMER, CONVENTIONAL_RAYTRACING, DIRECT_LIGHTS, HIGH_PRIORITY, LOW_PRIORITY, m_antialising, m_intersectionProcessor, m_lightProcessor, m_rayProcessor, m_raytracingDepth, MEDIUM_PRIORITY, NAIVE_INTERSECTION, NO_ANTIALISING, OCTREE_INTERSECTION, PATHTRACING_HS, PATHTRACING_MT, PHOTONMAPPING, PREPARING_TIMER, STOCHASTIC_SUPERSAMPLING`

Constructor Summary
`PhotonMapRaytracer()`

Method Summary
`protected void` | `prepareRaytracing(RTScene scene, RTCamera camera)`
`void` | `setPhotonCount(int photonCount)`
`void` | `setRange(int range)`

Methods inherited from class de.grogra.ray.Raytracer
`disableDebugPixel, enableDebugPixel, getLights, getPriority, getRaytracingDepth, getShadeables, getT, percentToString, printStatistics, raytracing, renderScene, setAntialisingPolicy, setBrightnessScaleFactor, setIntersectionPolicy, setLightModel, setPathtracingPathCount, setPriority, setRaytracingDepth, setRaytracingPolicy`

Methods inherited from class de.grogra.ray.event.ProgressNotifier
`addProgressListener, fire_progressChanged, removeProgressListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhotonMapRaytracer

    public PhotonMapRaytracer()

Method Detail

### prepareRaytracing

    protected void prepareRaytracing(RTScene scene,
                                     RTCamera camera)

  Overrides:
    `prepareRaytracing` in class `Raytracer`

### setPhotonCount

    public void setPhotonCount(int photonCount)

### setRange

    public void setRange(int range)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD